Tool: filestore_list_snapshots
Lists all snapshots for a specific Filestore instance.
The following sample demonstrate how to use curl to invoke the filestore_list_snapshots MCP tool.
| Curl Request |
|---|
curl --location 'https://file.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "filestore_list_snapshots", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
ListSnapshotsRequest lists snapshots.
ListSnapshotsRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "orderBy": string, "filter": string, "returnPartialSuccess": boolean } |
| Fields | |
|---|---|
parent |
Required. The instance for which to retrieve snapshot information, in the format |
pageSize |
The maximum number of items to return. |
pageToken |
The next_page_token value to use if there are additional results to retrieve for this list request. |
orderBy |
Sort results. Supported values are "name", "name desc" or "" (unsorted). |
filter |
List filter. |
returnPartialSuccess |
Optional. If true, allow partial responses for multi-regional Aggregated List requests. |
Output Schema
ListSnapshotsResponse is the result of ListSnapshotsRequest.
ListSnapshotsResponse
| JSON representation |
|---|
{
"snapshots": [
{
object ( |
| Fields | |
|---|---|
snapshots[] |
A list of snapshots in the project for the specified instance. |
nextPageToken |
The token you can use to retrieve the next page of results. Not returned if there are no more results in the list. |
unreachable[] |
Unordered list. Locations that could not be reached. |
Snapshot
| JSON representation |
|---|
{
"name": string,
"description": string,
"state": enum ( |
| Fields | |
|---|---|
name |
Output only. The resource name of the snapshot, in the format |
description |
A description of the snapshot with 2048 characters or less. Requests with longer descriptions will be rejected. |
state |
Output only. The snapshot state. |
createTime |
Output only. The time when the snapshot was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
labels |
Resource labels to represent user provided metadata. An object containing a list of |
filesystemUsedBytes |
Output only. The amount of bytes needed to allocate a full copy of the snapshot content |
tags |
Optional. Input only. Immutable. Tag key-value pairs bound to this resource. Each key must be a namespaced name and each value a short name. Example: "123456789012/environment" : "production", "123456789013/costCenter" : "marketing" See the documentation for more information: - Namespaced name: https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing#retrieving_tag_key - Short name: https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing#retrieving_tag_value An object containing a list of |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
TagsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
State
The snapshot state.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
State not set. |
CREATING |
Snapshot is being created. |
READY |
Snapshot is available for use. |
DELETING |
Snapshot is being deleted. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌